package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class BalancePiece {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "支援人")
    private String assistPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "支援单元")
    private String assistUnit;
    @JSONField(name = "被支援单元")
    private String beAssistedUnit;
    @JSONField(name = "支援日期")
    private String assistDate;
    @JSONField(name = "站/段/工作内容")
    private String stationAndPartAndWorkInfo;
    @JSONField(name = "工作类型")
    private String workType;
    @JSONField(name = "单位")
    private String workUnit;
    @JSONField(name = "数量")
    private BigDecimal amount;
    @JSONField(name = "单价")
    private BigDecimal unitPrice;
    @JSONField(name = "结算金额")
    private BigDecimal settlementAmount;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "说明")
    private String explainInfo;
    @JSONField(name = "上传日期时间")
    private String uploadTime;


    public BalancePiece() {
    }

    public BalancePiece(String assistUnit, String beAssistedUnit, String assistDate) {
        this.assistUnit = assistUnit;
        this.beAssistedUnit = beAssistedUnit;
        this.assistDate = assistDate;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAssistPerson() {
        return assistPerson;
    }

    public void setAssistPerson(String assistPerson) {
        this.assistPerson = assistPerson;
    }

    public String getAssistUnit() {
        return assistUnit;
    }

    public void setAssistUnit(String assistUnit) {
        this.assistUnit = assistUnit;
    }

    public String getBeAssistedUnit() {
        return beAssistedUnit;
    }

    public void setBeAssistedUnit(String beAssistedUnit) {
        this.beAssistedUnit = beAssistedUnit;
    }

    public String getAssistDate() {
        return assistDate;
    }

    public void setAssistDate(String assistDate) {
        this.assistDate = assistDate;
    }

    public String getStationAndPartAndWorkInfo() {
        return stationAndPartAndWorkInfo;
    }

    public void setStationAndPartAndWorkInfo(String stationAndPartAndWorkInfo) {
        this.stationAndPartAndWorkInfo = stationAndPartAndWorkInfo;
    }

    public String getWorkType() {
        return workType;
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }


    @Override
    public String toString() {
        return "BalancePiece{" +
                "id='" + id + '\'' +
                ", assistPerson='" + assistPerson + '\'' +
                ", assistUnit='" + assistUnit + '\'' +
                ", beAssistedUnit='" + beAssistedUnit + '\'' +
                ", assistDate='" + assistDate + '\'' +
                ", stationAndPartAndWorkInfo='" + stationAndPartAndWorkInfo + '\'' +
                ", workType='" + workType + '\'' +
                ", workUnit='" + workUnit + '\'' +
                ", amount=" + amount +
                ", unitPrice=" + unitPrice +
                ", settlementAmount=" + settlementAmount +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
